Create a data view
- Base URL
-
https://{kibana_url}
- POST /api/data_views/data_view
Create a data view. Data views identify the Elasticsearch data you want to explore and visualize. They can point to one or more data streams, indices, or index aliases, and use optional runtime fields to compute values at query time. Note that data views are not required for ES|QL-based visualizations. To learn more, refer to the data views documentation.
Request body
-
data_viewobjectrequired -
The data view object.
-
allowNoIndexboolean -
Allows the data view saved object to exist before the data is available. Defaults to
false. -
namespacesstring[] -
An array of space identifiers for sharing the data view between multiple spaces.
-
titlestringrequired -
Comma-separated list of data streams, indices, and aliases that you want to search. Supports wildcards (
*).
Responses
Indicates a successful call.
-
data_viewobject -
allowNoIndexboolean -
Allows the data view saved object to exist before the data is available. Defaults to
false. -
namespacesstring[] -
An array of space identifiers for sharing the data view between multiple spaces.
-
titlestring -
Comma-separated list of data streams, indices, and aliases that you want to search. Supports wildcards (
*).